#ifndef CLASSDATA_H
#define CLASSDATA_H

/*****************************************************************************/

#include <exec/types.h>
#include <graphics/gfx.h>
#include <graphics/rastport.h>
#include <intuition/screens.h>

/*****************************************************************************/

enum { Artist, Title, TotalTime, Time, TrackTime, Tracks, Track, Status, DATA_MAX };

struct CDPanelData
{
    struct IBox gad_Container;
    struct TextFont *gad_Font;
    Object 		*gad_BevelFrame;
    ULONG		gad_GraphLen;
    UBYTE		*gad_Graph;
    struct BitMap *gad_TempBitMap;
    WORD		gad_BgPen;
    WORD		gad_FgPen;
    BOOL		gad_NoBorder;
    
    ULONG		*gad_TrackTimes;
    STRPTR		*gad_TrackTitles;

	ULONG		gad_Data[DATA_MAX];
	ULONG		gad_Old[DATA_MAX];
};
#endif
